Skip to content
Start here

Get account Email Sending suppression

client.EmailSending.Suppressions.Get(ctx, suppressionID, query) (*SuppressionGetResponse, error)
GET/accounts/{account_id}/email/sending/suppressions/{suppression_id}

Gets an Email Sending suppression owned by the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
suppressionID string

The suppression’s identifier.

formatuuid
query SuppressionGetParams
AccountID param.Field[string]

Cloudflare account ID.

ReturnsExpand Collapse
type SuppressionGetResponse struct{…}
ID string

Unique identifier for this suppression.

formatuuid
CreatedAt Time

When the suppression was created.

formatdate-time
Email string

The suppressed email address.

formatemail
ExpiresAt Time

When the suppression expires. Null for a permanent suppression.

formatdate-time
ReadOnly bool

Whether clients may mutate this suppression. This is determined by the server and must not be inferred from reason.

Reason string

Why the address is suppressed: manual, complaint, hard_bounce, soft_bounce, or policy.

Note stringOptional

Advisory note for this suppression, if any.

Scope SuppressionGetResponseScopeOptional

Where the suppression applies: account for every sending domain of the account, or sending_domain for one envelope MAIL FROM domain.

One of the following:
type SuppressionGetResponseScopeType struct{…}
Type SuppressionGetResponseScopeTypeType

Blocks the recipient for every sending domain of the account.

type SuppressionGetResponseScopeObject struct{…}
Type SuppressionGetResponseScopeObjectType

Blocks the recipient only for mail whose envelope MAIL FROM uses value.

Value string

The sending domain: the domain part of the envelope MAIL FROM, lowercase, without a trailing dot.

maxLength1024

Get account Email Sending suppression

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  suppression, err := client.EmailSending.Suppressions.Get(
    context.TODO(),
    "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    email_sending.SuppressionGetParams{
      AccountID: cloudflare.F("12345678"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", suppression.ID)
}
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    "created_at": "2026-01-02T02:20:00Z",
    "email": "user@example.com",
    "expires_at": "2027-01-01T00:00:00Z",
    "read_only": false,
    "reason": "hard_bounce",
    "note": "Imported from CRM",
    "scope": {
      "type": "sending_domain",
      "value": "mail.example.com"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    "created_at": "2026-01-02T02:20:00Z",
    "email": "user@example.com",
    "expires_at": "2027-01-01T00:00:00Z",
    "read_only": false,
    "reason": "hard_bounce",
    "note": "Imported from CRM",
    "scope": {
      "type": "sending_domain",
      "value": "mail.example.com"
    }
  },
  "success": true
}